# pydicom.values.convert_single_string

pydicom.values.convert_single_string(byte_string: bytes, encodings: Optional[List[str]] = None) → str

  Return decoded text, ignoring backslashes and trailing spaces.

  Parameters

    - byte_string (bytes) – The encoded string.

    - encodings (list of str, optional) – A list of the character encoding schemes used to encode the text.

  Returns

    The decoded text.

  Return type

    str